Loading...
Searching...
No Matches
rpcserver_booter_aggregator Class Reference

`#include <gnuradio/rpcserver_booter_aggregator.h>`

## Public Member Functions

| rpcserver_booter_aggregator ()
| ~rpcserver_booter_aggregator () override
rpcserver_base * | i () override
const std::string & | type () override
const std::vector< std::string > | endpoints () override
const std::vector< std::string > & | registeredServers ()
Public Member Functions inherited from rpcserver_booter_base
| rpcserver_booter_base ()
virtual | ~rpcserver_booter_base ()

## Protected Member Functions

rpcserver_aggregator * | agg ()

## Friends

class | rpcmanager

## Constructor & Destructor Documentation

## rpcserver_booter_aggregator()

rpcserver_booter_aggregator::rpcserver_booter_aggregator | ( |  | ) |

## ~rpcserver_booter_aggregator()

rpcserver_booter_aggregator::~rpcserver_booter_aggregator | ( |  | ) |

override

## Member Function Documentation

## agg()

rpcserver_aggregator * rpcserver_booter_aggregator::agg | ( |  | ) |

protected

## endpoints()

const std::vector< std::string > rpcserver_booter_aggregator::endpoints | ( |  | ) |

override virtual

Implements rpcserver_booter_base.

## i()

rpcserver_base * rpcserver_booter_aggregator::i | ( |  | ) |

override virtual

Implements rpcserver_booter_base.

## registeredServers()

const std::vector< std::string > & rpcserver_booter_aggregator::registeredServers | ( |  | ) |

## type()

const std::string & rpcserver_booter_aggregator::type | ( |  | ) |

override virtual

Implements rpcserver_booter_base.

## Friends And Related Symbol Documentation

## rpcmanager

friend class rpcmanager

friend

References rpcmanager.

Referenced by rpcmanager.

The documentation for this class was generated from the following file:

- rpcserver_booter_aggregator.h